Package Gnumed :: Package business :: Module gmPathLab :: Class cLabResult |
[frames] | no frames]

# Class cLabResult

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cLabResult

Represents one lab result.

Instance Methods
__init__(self, aPK_obj=None, row=None) Instantiate. | source code
get_patient(self) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__setitem__`, `__str__`, `__unicode__`, `fields_as_dict`, `format`, `get_fields`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, aPK_obj=None, row=None) (Constructor) | source code
Instantiate. aPK_obj as dict: patient_id when_field (see view definition) when test_type val_num val_alpha unit Overrides: object.__init__

### get_patient(self) | source code
Overrides: pycommon.gmBusinessDBObject.cBusinessDBObject.get_patient